You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
netinstall/scripts/maverick-tweaks.diff

37 lines
1.1 KiB

diff --git a/usr/lib/finish-install.d/08rcn-omap b/usr/lib/finish-install.d/08rcn-omap
new file mode 100755
index 0000000..6d06fc7
--- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,30 @@
+#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
+
+if [ -e /etc/rcn.conf ]; then
+ mkdir -p /tmp/mmc
+ mount /dev/mmcblk0p1 /tmp/mmc
+ rm -f /tmp/mmc/boot.scr || true
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
+ rm -f /tmp/mmc/uInitrd.net || true
+
+ #Thank You Ubuntu; arrrggg!!!
+ rm -f /tmp/mmc/uInitrd || true
+ rm -f /tmp/mmc/uInitrd.bak || true
+ rm -f /tmp/mmc/uImage || true
+ rm -f /tmp/mmc/uImage.bak || true
+
+ mv /tmp/mmc/uInitrd.end /tmp/mmc/uInitrd
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
+ sync
+ umount /tmp/mmc
+
+ mkdir -p /target/boot/uboot
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
+
+ rm -f /etc/rcn.conf
+fi
+